# Retrieve a single contract

GET https://api.letsdeel.com/rest/v2/contracts/{contract_id}

Retrieve a single contract.
 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/endpoints/contracts/get-contract

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /contracts/{contract_id}:
    get:
      operationId: get-contract
      summary: Retrieve a single contract
      description: |-
        Retrieve a single contract.
         **Token scopes**: `contracts:read`
      tags:
        - subpackage_contracts
      parameters:
        - name: contract_id
          in: path
          description: Unique identifier of the contract.
          required: true
          schema:
            type: string
        - name: expand
          in: query
          description: Include cost centers in the response.
          required: false
          schema:
            $ref: '#/components/schemas/ContractsContractIdGetParametersExpand'
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contracts_getContract_Response_200'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveASingleContract-v2026-01-01RequestNotFoundError
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ContractsContractIdGetParametersExpand:
      type: string
      enum:
        - cost_centers
      title: ContractsContractIdGetParametersExpand
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataType:
      type: string
      enum:
        - ongoing_time_based
        - milestones
        - time_based
        - pay_as_you_go_time_based
        - commission
        - payg_milestones
        - payg_tasks
        - contractor_outside_deel
        - eor
        - unknown
        - employee
        - global_payroll
        - shield_msa
        - hris_direct_employee
        - peo
      description: Type of a contract.
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaDataType
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataQuoteBenefitsItems:
      type: object
      properties:
        fee:
          type: number
          format: double
          description: Fee in local currency.
        name:
          type: string
          description: Benefit's name.
        plan:
          type: string
          description: Benefit's plan.
        price:
          type: number
          format: double
          description: Price in local currency.
        fee_usd:
          type: number
          format: double
          description: Fee in USD.
        currency:
          type: string
          description: Currency code.
        price_usd:
          type: number
          format: double
          description: Price in USD.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataQuoteBenefitsItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataQuote:
      type: object
      properties:
        benefits:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataQuoteBenefitsItems
          description: Array of benefits.
        currency:
          type: string
          description: Currency used for the quote.
      description: EOR quote approved by Deel.
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaDataQuote
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientTeamId:
      oneOf:
        - type: string
        - type: number
          format: double
      description: Unique identifier of this resource.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientTeamId
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientTeam:
      type: object
      properties:
        id:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientTeamId
          description: Unique identifier of this resource.
        name:
          type: string
          description: Name of a team.
      required:
        - id
        - name
      description: Team information for the client organization.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientTeam
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of this resource.
        name:
          type: string
          description: Name of a team.
        type:
          type:
            - string
            - 'null'
          description: Type of the legal entity.
        email:
          type:
            - string
            - 'null'
          description: Email address of the legal entity.
        subtype:
          type:
            - string
            - 'null'
          description: Sub-type of the legal entity.
        vat_number:
          type:
            - string
            - 'null'
          description: VAT number of the legal entity.
        registration_number:
          type:
            - string
            - 'null'
          description: Registration number of the legal entity.
      description: Legal entity details of the client.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClient:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of this resource.
        team:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientTeam
          description: Team information for the client organization.
        email:
          type:
            - string
            - 'null'
          format: email
          description: User's email address.
        full_name:
          type: string
          description: Full name of the client.
        legal_entity:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity
            - type: 'null'
          description: Legal entity details of the client.
      required:
        - team
      description: Client details associated with the contract.
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClient
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataStatus:
      type: string
      enum:
        - new
        - under_review
        - waiting_for_employee_contract
        - waiting_for_client_sign
        - processing_payment
        - waiting_for_contractor_sign
        - waiting_for_eor_sign
        - waiting_for_employee_sign
        - awaiting_deposit_payment
        - in_progress
        - completed
        - cancelled
        - user_cancelled
        - rejected
        - waiting_for_client_payment
        - onboarding
        - waiting_for_approval
        - onboarded
      description: Status of a contract in Deel workflow.
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaDataStatus
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkerDateOfBirth:
      oneOf:
        - type: string
          format: date
        - type: string
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkerDateOfBirth
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkerAlternateEmailItems:
      type: object
      properties:
        email:
          type: string
          description: Email address of the worker.
        isVerified:
          type: boolean
          description: Indicates whether this alternate email address has been verified.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkerAlternateEmailItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorker:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of this resource.
        email:
          type:
            - string
            - 'null'
          format: email
          description: User's email address.
        country:
          type:
            - string
            - 'null'
          description: Country of the worker.
        full_name:
          type: string
          description: Full name of the client.
        last_name:
          type: string
          description: Last name of the worker.
        first_name:
          type: string
          description: First name of the worker.
        nationality:
          type:
            - string
            - 'null'
          description: Nationality of the worker.
        date_of_birth:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkerDateOfBirth
        expected_email:
          type: string
          description: >-
            Expected email address of the worker (e.g., invitation target
            email).
        alternate_email:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkerAlternateEmailItems
          description: List of alternate email addresses.
      description: Worker details associated with the contract.
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorker
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataSeniority:
      type: object
      properties:
        id:
          type:
            - number
            - 'null'
          format: double
          description: Unique identifier of this resource.
        name:
          type:
            - string
            - 'null'
          description: Name of seniority level e.g. Mid (Individual Contributor Level 2).
        level:
          type:
            - number
            - 'null'
          format: double
          description: Level of seniority level e.g. 2.
      description: Seniority describes level of expertise at a job e.g. junior.
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaDataSeniority
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataSignatures:
      type: object
      properties:
        signed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Date and time when the contract was signed.
        client_signature:
          type: string
          description: Client representative signature (typically a name).
        client_signed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Date and time when the client signed the contract.
        worker_signature:
          type: string
          description: Worker signature (typically a name).
        worker_signed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Date and time when the worker signed the contract.
      description: Signature information for the contract parties.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataSignatures
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataInvitations:
      type: object
      properties:
        client_email:
          type:
            - string
            - 'null'
          description: User's email address.
        worker_email:
          type:
            - string
            - 'null'
          description: User's email address.
      description: Invitation email addresses for signing the contract.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataInvitations
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCostCentersItems:
      type: object
      properties:
        name:
          type: string
          description: Cost center name.
        number:
          type: string
          description: Cost center number.
        allocation_percentage:
          type: number
          format: double
          description: Percentage of the cost center allocation.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCostCentersItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: Unique identifier of the custom field.
        name:
          type: string
          description: Custom field property name.
        value:
          type: string
          description: Custom field property value.
      description: Customized attributes on contracts (Employee ID, Project code, etc).
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleDaysItemsDay:
      type: string
      enum:
        - MONDAY
        - TUESDAY
        - WEDNESDAY
        - THURSDAY
        - FRIDAY
        - SATURDAY
        - SUNDAY
      description: Day of the week
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleDaysItemsDay
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleDaysItems:
      type: object
      properties:
        day:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleDaysItemsDay
          description: Day of the week
        end:
          type:
            - string
            - 'null'
          format: time
          description: End time for the work day (HH:MM:SS format)
        start:
          type: string
          format: time
          description: Start time for the work day (HH:MM:SS format)
        work_hours:
          type: number
          format: double
          description: Number of working hours for this day
      required:
        - day
        - end
        - start
        - work_hours
      description: Defines working hours for a specific day of the week
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleDaysItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleWorkerTypesItems:
      type: string
      enum:
        - SALARIED_DIRECT_EMPLOYEE_PAYROLL
        - SALARIED_HRIS_DIRECT_EMPLOYEE
        - SALARIED_EOR_EMPLOYEE
        - HOURLY_EOR_EMPLOYEE
        - HOURLY_DIRECT_EMPLOYEE_PAYROLL
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleWorkerTypesItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleEmploymentType:
      type: string
      enum:
        - FULL_TIME
        - PART_TIME
        - CONTRACT
        - TEMPORARY
      description: Type of employment arrangement
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleEmploymentType
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkSchedule:
      type: object
      properties:
        days:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleDaysItems
          description: Working days and hours configuration
        name:
          type: string
          description: Unique identifier or name for the work schedule
        country:
          type: string
          description: Country code where this work schedule applies (ISO 3166-1 alpha-2)
        worker_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleWorkerTypesItems
          description: List of worker types that can use this schedule
        employment_type:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkScheduleEmploymentType
            - type: 'null'
          description: Type of employment arrangement
        work_schedule_type:
          type: string
          description: Work schedule type
        work_hours_per_week:
          type: integer
          description: Total number of working hours per week
      required:
        - days
        - name
        - country
        - worker_types
        - work_schedule_type
        - work_hours_per_week
      description: >-
        Defines a work schedule including working days, hours, and employment
        details
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkSchedule
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataEmploymentType:
      type: string
      enum:
        - FULL_TIME
        - PART_TIME
      description: Type of employment.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataEmploymentType
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataContractTemplate:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of a contract template.
        title:
          type: string
          description: Title of a contract template
      description: Contract template details.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataContractTemplate
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataEmploymentDetails:
      type: object
      properties:
        type:
          type: string
          description: Type of employment.
        days_per_week:
          type: number
          format: double
          description: Number of days per week.
        hours_per_day:
          type: number
          format: double
          description: Number of hours per day.
        probation_period:
          type:
            - number
            - 'null'
          format: double
          description: Probation period in days.
        paid_vacation_days:
          type: number
          format: double
          description: Number of paid vacation days.
      description: Employment-related details for the contract.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataEmploymentDetails
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCompensationDetailsCycleEndType:
      type: string
      enum:
        - DAY_OF_WEEK
        - DAY_OF_LAST_WEEK
        - DAY_OF_MONTH
      description: ' Cycle end type'
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCompensationDetailsCycleEndType
    ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCompensationDetails:
      type: object
      properties:
        scale:
          type:
            - string
            - 'null'
          description: Scale of the payment.
        amount:
          type:
            - string
            - 'null'
          description: >-
            Amount to be paid. This field can be excluded when creating a
            Pay-as-you-go task-based or Milestone contracts.
        cycle_end:
          type:
            - number
            - 'null'
          format: double
          description: Day of the cycle end
        frequency:
          type: string
          description: Scale of the invoice cycle.
        currency_code:
          type:
            - string
            - 'null'
          description: Currency code.
        first_payment:
          type:
            - string
            - 'null'
          description: First payment amount.
        cycle_end_type:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCompensationDetailsCycleEndType
            - type: 'null'
          description: ' Cycle end type'
        first_payment_date:
          type:
            - string
            - 'null'
          description: First payment date.
        gross_annual_salary:
          type:
            - string
            - 'null'
          description: Gross annual salary.
        gross_signing_bonus:
          type:
            - string
            - 'null'
          description: Gross signing bonus.
        gross_variable_bonus:
          type:
            - string
            - 'null'
          description: Gross variable bonus.
      description: Compensation and payment configuration for the contract.
      title: >-
        ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCompensationDetails
    ContractsContractIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the contract.
        type:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataType
          description: Type of a contract.
        quote:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataQuote
          description: EOR quote approved by Deel.
        title:
          type: string
          description: Title of the contract.
        client:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataClient
            - type: 'null'
          description: Client details associated with the contract.
        status:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataStatus
          description: Status of a contract in Deel workflow.
        worker:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorker
            - type: 'null'
          description: Worker details associated with the contract.
        location:
          type:
            - string
            - 'null'
          description: Location name associated with the contract.
        job_title:
          type: string
          description: Job title associated with the contract.
        seniority:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataSeniority
            - type: 'null'
          description: Seniority describes level of expertise at a job e.g. junior.
        created_at:
          type: string
          format: date-time
          description: Date and time when the contract was created.
        signatures:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataSignatures
          description: Signature information for the contract parties.
        start_date:
          type: string
          format: date-time
          description: Date and time when the contract starts.
        updated_at:
          type: string
          format: date-time
          description: Date and time when the contract was updated.
        external_id:
          type:
            - string
            - 'null'
          description: External identifier of the contract.
        invitations:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataInvitations
          description: Invitation email addresses for signing the contract.
        is_archived:
          type:
            - boolean
            - 'null'
          description: Flag to indicate if the contract is archived.
        who_reports:
          type: string
          description: Who reports the hours.
        cost_centers:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCostCentersItems
          description: List of cost centers associated with the contract.
        product_area:
          type:
            - number
            - 'null'
          format: double
          description: Product area code associated with the contract.
        custom_fields:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems
          description: List of custom fields attached to the contract.
        notice_period:
          type:
            - number
            - 'null'
          format: double
          description: Notice period in days.
        scope_of_work:
          type:
            - string
            - 'null'
          description: Scope of work of the contract.
        work_schedule:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataWorkSchedule
            - type: 'null'
          description: >-
            Defines a work schedule including working days, hours, and
            employment details
        special_clause:
          type:
            - string
            - 'null'
          description: Special clause of the contract.
        employment_type:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataEmploymentType
            - type: 'null'
          description: Type of employment.
        termination_date:
          type:
            - string
            - 'null'
          description: Date and time when the contract ends.
        contract_template:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataContractTemplate
            - type: 'null'
          description: Contract template details.
        work_statement_id:
          type:
            - string
            - 'null'
          description: The unique identifier of the associated work statement.
        employment_details:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataEmploymentDetails
          description: Employment-related details for the contract.
        compensation_details:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaDataCompensationDetails
          description: Compensation and payment configuration for the contract.
      required:
        - id
        - type
        - title
        - client
        - status
        - worker
        - created_at
        - signatures
        - start_date
        - updated_at
        - invitations
        - is_archived
        - special_clause
        - termination_date
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaData
    contracts_getContract_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: contracts_getContract_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    ContractsContractIdGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        message:
          type: string
          description: Error response
      required:
        - message
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaErrorsItems
    ContractsContractIdGetResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        method:
          type: string
          description: Method of the API
        status:
          type: number
          format: double
          description: Status of API response
      description: Error request details
      title: ContractsContractIdGetResponsesContentApplicationJsonSchemaRequest
    RetrieveASingleContract-v2026-01-01RequestNotFoundError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaErrorsItems
          description: Error messages
        request:
          $ref: >-
            #/components/schemas/ContractsContractIdGetResponsesContentApplicationJsonSchemaRequest
          description: Error request details
      required:
        - errors
      title: RetrieveASingleContract-v2026-01-01RequestNotFoundError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/contracts/37nex2x"

querystring = {"expand":"cost_centers"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/contracts/37nex2x?expand=cost_centers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```